/* #Base 1200 Grid
================================================== */

.container	{position: relative; width: 100%; max-width: 1340px; margin: 0 auto; padding: 0 20px; box-sizing: border-box; }

.column,
.columns	{ width: 100%; float: left; box-sizing: border-box; }

/* For devices larger than 550px */
@media (min-width: 750px) {
	.container .one-fourth	{width:23.5%;}
	.container .one-third	{width:32%;}
	.container .two-thirds	{width:66%;}
	.container .one-half	{width:48%;}
	.container .column		{float:left;margin-right:2%;}
	.container .column.last	{float:right;margin-right:0;}
}

/* #Media Queries
================================================== */

/* Larger than tablet */
@media (min-width: 750px) {
	.content-grid.col-2,
	.content-grid.col-4,
	.content-grid.col-6,
	.courts-grid {display: grid;grid-template-columns: repeat(auto-fill, 48%);justify-content: space-between;}

	.page-banner {min-height:450px;}

}

/* Larger than desktop */
@media (min-width: 1000px) {

	.page-banner {min-height:650px;}
	.banner-inner-cols,
	.cta-banner-inner-cols {display:flex;justify-content:space-between;align-items:flex-end;}
	.banner-content,
	.cta-banner-content {width:calc(100% - 480px);}
	.banner-buttons,
	.cta-banner-buttons {width:380px;}
	.banner-inner p,
	.cta-banner-content p {margin-bottom:0;}

	.content-grid {display: grid;justify-content: space-between;}
	.content-grid.col-3 {grid-template-columns: repeat(auto-fill, 32%);}
	.content-grid.col-4 {grid-template-columns: repeat(auto-fill, 23.5%);}
	.content-grid.col-5 {grid-template-columns: repeat(auto-fill, 18.4%);}
	.content-grid.col-6 {grid-template-columns: repeat(auto-fill, 15%);}

	.content-block,
	.content-block p {margin-bottom:0;}

	.court-pic-content {position:absolute;display:flex;justify-content:space-between;align-items:center;}
	.court-pic-content h3 {margin:0;}
	.court-pic-content div {width:calc(100% - 170px);}
	.court-pic-content .button {width:160px;}

	.membership-top {display: flex; justify-content: space-between; align-items: flex-end;}
	.membership-top div {width:calc(100% - 300px);}
	.membership-top .button {width:260px;}

	.membership-left ul {margin-bottom:0;}

	.contact-top div {width:60%;}


}

/* Larger than Desktop HD */
@media (min-width: 1200px) {
	.mainNav-wrap {display:block;}
	.mobile-nav-trigger-outter,
	.mobile-nav { display: none }
}
